%define name	PyRTF
%define version	0.45
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Python module to generate RTF documents
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://pyrtf.sourceforge.net/
License:	GPL
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel
Requires:	python
BuildArch:	noarch

%description
PyRTF is a set of python classes that make it possible to produce RTF
documents from python programs. The library has no external dependencies
and has proved reliable and fast.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{py_puresitedir}/%name
%{py_puresitedir}/%name-%version-py2.5.egg-info


%changelog
* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 0.45-1mdv2009.0
+ Revision: 280606
- Fix files section
- New version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - use %%mkrel
    - import PyRTF

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sun Jan 10 2005 Austin Acton <austin@mandrake.org> 0.43-1mdk
- initial package
